Debian Bug report logs - #689559
gdm3: Orca is not starting at greeter stage

version graph

Package: gdm3; Maintainer for gdm3 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gdm3 is src:gdm3.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Thu, 4 Oct 2012 00:45:05 UTC

Severity: important

Found in version gdm3/3.4.1-2

Fixed in version gdm3/3.4.1-7

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#689559; Package gdm3. (Thu, 04 Oct 2012 00:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 04 Oct 2012 00:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm3: Orca is not starting at greeter stage
Date: Thu, 4 Oct 2012 02:42:50 +0200
Package: gdm3
Version: 3.4.1-2+b1
Severity: important

Hello,
I reinstalled a system from scratch to be sure. Orca is working fine
within a user session, but it is not started during the greeter stage,
while it used to be in Squeeze.  AIUI, it is supposed to be started by

/usr/share/gdm/greeter/applications/orca-screen-reader.desktop

i.e. when

AutostartCondition=GNOME /desktop/gnome/applications/at/screen_reader_enabled

is true. I have indeed run 

su -s /bin/sh -c "gconftool-2 --type bool --set /desktop/gnome/applications/at/screen_reader_enabled true" Debian-gdm

and using --get shows that it's properly recorded. Still orca does not
start. I've replaced orca with a script of mine, and found it is not
even called. I have even tried to comment the AutostartCondition in the
desktop file, to no avail.

Is there any idea where to look at before diving into the gnome-session
source code?  This is preventing gdm from being accessible at all.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gdm3 depends on:
ii  accountsservice                             0.6.21-6
ii  adduser                                     3.113+nmu3
ii  aterm [x-terminal-emulator]                 1.0.1-8
ii  cdebconf [debconf-2.0]                      0.175
ii  dconf-gsettings-backend                     0.12.1-2
ii  dconf-tools                                 0.12.1-2
ii  debconf [debconf-2.0]                       1.5.46
ii  dpkg                                        1.16.8
ii  eterm [x-terminal-emulator]                 0.9.6-1
ii  fvwm [x-window-manager]                     1:2.5.30.ds-1.1
ii  gir1.2-freedesktop                          1.32.1-1
ii  gir1.2-glib-2.0                             1.32.1-1
ii  gnome-session [x-session-manager]           3.4.2.1-2
ii  gnome-session-bin                           3.4.2.1-2
ii  gnome-session-fallback [x-session-manager]  3.4.2.1-2
ii  gnome-settings-daemon                       3.4.2-5
ii  gnome-terminal [x-terminal-emulator]        3.4.1.1-1+build1
ii  gsettings-desktop-schemas                   3.4.2-1
ii  kde-window-manager [x-window-manager]       4:4.8.4-3
ii  konsole [x-terminal-emulator]               4:4.8.4-1
ii  kterm [x-terminal-emulator]                 6.2.0-46
ii  libaccountsservice0                         0.6.21-6
ii  libatk1.0-0                                 2.4.0-2
ii  libattr1                                    1:2.4.46-8
ii  libaudit0                                   1:1.7.18-1.1
ii  libc6                                       2.13-35
ii  libcairo-gobject2                           1.12.2-2
ii  libcairo2                                   1.12.2-2
ii  libcanberra-gtk3-0                          0.28-4
ii  libcanberra0                                0.28-4
ii  libdbus-1-3                                 1.6.0-1
ii  libdbus-glib-1-2                            0.100-1
ii  libfontconfig1                              2.9.0-7
ii  libgdk-pixbuf2.0-0                          2.26.1-1
ii  libglib2.0-0                                2.32.3-1
ii  libglib2.0-bin                              2.32.3-1
ii  libgtk-3-0                                  3.4.2-3
ii  libpam-modules                              1.1.3-7.1
ii  libpam-runtime                              1.1.3-7.1
ii  libpam0g                                    1.1.3-7.1
ii  libpango1.0-0                               1.30.0-1
ii  librsvg2-common                             2.36.1-1
ii  libselinux1                                 2.1.9-5
ii  libupower-glib1                             0.9.17-1
ii  libwrap0                                    7.6.q-24
ii  libx11-6                                    2:1.5.0-1
ii  libxau6                                     1:1.0.7-1
ii  libxdmcp6                                   1:1.1.1-1
ii  libxklavier16                               5.2.1-1
ii  libxrandr2                                  2:1.3.2-2
ii  lsb-base                                    4.1+Debian7
ii  metacity [x-window-manager]                 1:2.34.3-3
ii  mlterm [x-terminal-emulator]                3.1.2-1.1
ii  policykit-1-gnome                           0.105-2
ii  pterm [x-terminal-emulator]                 0.62-9
ii  rxvt [x-terminal-emulator]                  1:2.6.4-14
ii  rxvt-ml [x-terminal-emulator]               1:2.6.4-14
ii  rxvt-unicode [x-terminal-emulator]          9.15-2
ii  upower                                      0.9.17-1
ii  wterm [x-terminal-emulator]                 6.2.9-8.1
ii  x11-common                                  1:7.7+1
ii  x11-xserver-utils                           7.7~3
ii  xfce4-session [x-session-manager]           4.8.3-2+b1
ii  xfce4-terminal [x-terminal-emulator]        0.4.8-1+b1
ii  xfwm4 [x-window-manager]                    4.8.3-2
ii  xterm [x-terminal-emulator]                 278-1

Versions of packages gdm3 recommends:
ii  desktop-base             7.0.3
ii  gnome-icon-theme         3.4.0-2
ii  libatk-adaptor [at-spi]  2.5.3-2
ii  x11-xkb-utils            7.7~1
ii  xserver-xephyr           2:1.12.3.902-1
ii  xserver-xorg             1:7.7+1
ii  zenity                   3.4.0-2

Versions of packages gdm3 suggests:
ii  gnome-mag             1:0.16.3-1
ii  gnome-orca            3.4.2-2
ii  gnome-shell           3.4.2-1
pn  gok                   <none>
ii  libpam-gnome-keyring  3.4.1-5

-- debconf information excluded

-- 
Samuel
>Ever heard of .cshrc?
That's a city in Bosnia.  Right?
(Discussion in comp.os.linux.misc on the intuitiveness of commands.)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#689559; Package gdm3. (Thu, 04 Oct 2012 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 689559@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 04 Oct 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 689559@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 689559@bugs.debian.org
Subject: Re: Bug#689559: gdm3: Orca is not starting at greeter stage
Date: Thu, 04 Oct 2012 21:38:35 +0200
Le jeudi 04 octobre 2012 à 02:42 +0200, Samuel Thibault a écrit : 
> I reinstalled a system from scratch to be sure. Orca is working fine
> within a user session, but it is not started during the greeter stage,
> while it used to be in Squeeze.  AIUI, it is supposed to be started by
> 
> /usr/share/gdm/greeter/applications/orca-screen-reader.desktop
> 
> i.e. when
> 
> AutostartCondition=GNOME /desktop/gnome/applications/at/screen_reader_enabled
> 
> is true. I have indeed run 
> 
> su -s /bin/sh -c "gconftool-2 --type bool --set /desktop/gnome/applications/at/screen_reader_enabled true" Debian-gdm
> 
> and using --get shows that it's properly recorded. Still orca does not
> start. I've replaced orca with a script of mine, and found it is not
> even called. I have even tried to comment the AutostartCondition in the
> desktop file, to no avail.
> 
> Is there any idea where to look at before diving into the gnome-session
> source code?  This is preventing gdm from being accessible at all.

Starting with gdm 3.0, the login session is a failasafe one, meaning
autostart applications are not started up.  This is why your autostart
condition is not meaningful.

With the gdm-shell session, the shell itself includes a menu to start up
a11y functionality when needed. This UI is not present in
gdm-simple-greeter which is the interface of the gdm-fallback session.

If your hardware supports it, the simplest thing to do is use the
gdm-shell session instead; however this cannot be done by default in
Debian. So what’s left is to add the necessary UI in gdm-simple-greeter.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#689559; Package gdm3. (Fri, 05 Oct 2012 00:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 05 Oct 2012 00:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 689559@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 689559@bugs.debian.org
Subject: Re: Bug#689559: gdm3: Orca is not starting at greeter stage
Date: Fri, 5 Oct 2012 02:18:49 +0200
Josselin Mouette, le Thu 04 Oct 2012 21:38:35 +0200, a écrit :
> So what’s left is to add the necessary UI in gdm-simple-greeter.

Is there currently really no way to have gdm-simple-greeter start
something automatically?  An UI to trigger the start of accessibility
tools would be a good thing, but users will want to have it just started
Gy default on their own machines.

Also, I don't understand: if the gdm session is the failsafe by default
nowadays, are the .desktop files shipped by gdm useful at all?

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#689559; Package gdm3. (Fri, 05 Oct 2012 09:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to 689559@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 05 Oct 2012 09:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 689559@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 689559@bugs.debian.org
Subject: Re: Bug#689559: gdm3: Orca is not starting at greeter stage
Date: Fri, 05 Oct 2012 11:16:47 +0200
Le vendredi 05 octobre 2012 à 02:18 +0200, Samuel Thibault a écrit : 
> Is there currently really no way to have gdm-simple-greeter start
> something automatically?  

We can edit gdm-fallback.session to start more processes automatically.
However I’m not sure it is a good idea to start orca in all cases.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#689559; Package gdm3. (Sun, 07 Apr 2013 22:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 07 Apr 2013 22:33:16 GMT) Full text and rfc822 format available.

Message #25 received at 689559@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: submit@bugs.debian.org
Cc: 689559@bugs.debian.org
Subject: unblock: gnome-session/3.4.2.1-4 gdm3/3.4.1-7
Date: Mon, 08 Apr 2013 00:31:32 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hi,

The screen reader is currently not working in GDM, this is a regression from 
squeeze. I've looked into the problem (bug #689559) and have fixed it. The 
problem is that since around 3.0, gdm doesn't support a directory to place 
.desktop files that are autostarted in the gdm session. My patches fix this:

- by adding support to gnome-session (new --start option) so that we can specify 
a directory (/usr/share/gdm/greeter/autostart/) that will contain .desktop files 
to be started in the gdm session (the current --autostart option overrides 
session loading so it's not an option, and I didn't want to modify its behaviour 
in case something else uses it).

- by making gdm specify that directory so that .desktop files in it are started, 
and adding a file for orca (if orca is not installed nothing will happen and gdm 
has traditionally shipped that file for orca, that's why I added it to gdm and 
not to orca)

- by adding a menu entry to the panel in the gdm greeter so that one can 
start/stop the screen reader.

One issue is that the new menu entry in gdm has a translatable string ("Screen 
Reader"). Since gdm has that string, I could copy the translations from it.

I understand that it's quite late in the freeze, but since a11y is very 
important, I think this needs to be fixed. I wouldn't mind postponing it till 
the release is done and including this in a point release if needed. WDYT?

Thanks,
Emilio
[gdm3.debdiff (application/x-extension-debdiff, attachment)]
[gnome-session.debdiff (application/x-extension-debdiff, attachment)]

Reply sent to Emilio Pozuelo Monfort <pochu@debian.org>:
You have taken responsibility. (Wed, 10 Apr 2013 13:06:05 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Wed, 10 Apr 2013 13:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 689559-close@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: 689559-close@bugs.debian.org
Subject: Bug#689559: fixed in gdm3 3.4.1-7
Date: Wed, 10 Apr 2013 13:02:54 +0000
Source: gdm3
Source-Version: 3.4.1-7

We believe that the bug you reported is fixed in the latest version of
gdm3, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689559@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emilio Pozuelo Monfort <pochu@debian.org> (supplier of updated gdm3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Apr 2013 14:36:52 +0200
Source: gdm3
Binary: gdm3
Architecture: source i386
Version: 3.4.1-7
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Emilio Pozuelo Monfort <pochu@debian.org>
Description: 
 gdm3       - Next generation GNOME Display Manager
Closes: 689559
Changes: 
 gdm3 (3.4.1-7) unstable; urgency=low
 .
   * debian/patches/40_add_start_dir.patch:
     + Call gnome-session with --start /usr/share/gdm/greeter/autostart.
       .desktop files in that directory will be autostarted (if the
       condition to do so is true) in the gdm session.
   * debian/control.in:
     + Bump gnome-session-bin dependency to 3.4.2.1-4~ for the above
       change.
   * debian/orca-autostart.desktop,
     debian/gdm3.install:
     + Install a desktop file to autostart orca if the screen reader
       is enabled in gsettings.
   * debian/patches/45_show_a11y_menu.patch:
     + Add an a11y menu in the panel to enable/disable orca.
   * debian/po/*:
     + Add 45_show_a11y_menu.patch to the list of patches to be
       translated and add translations for many languages taken
       from gnome-shell.
   * All of the above closes: #689559.
Checksums-Sha1: 
 0a0802559ca1a156f0f5353ecdd450e4258f2ab9 2140 gdm3_3.4.1-7.dsc
 a3fe7aa191a0f073f689a692f4727d833936cff8 126325 gdm3_3.4.1-7.debian.tar.gz
 5fa06bf36f3f60f2f0c5f06e88f5aeaec4cf2b3c 766066 gdm3_3.4.1-7_i386.deb
Checksums-Sha256: 
 a596a5b4c4ae3f2e8d21f400eb64b4054bdde0edf4aeb9d3f5b97252ff2b94b6 2140 gdm3_3.4.1-7.dsc
 69308d2a06d52a1386dbefc9a24ded79eddc1e64c7ed270160ff4029c25bc01b 126325 gdm3_3.4.1-7.debian.tar.gz
 60507330f5c8f0cb7b2cc0a709ddd733ed060fbaa6b1d0dbcfc5f9e6c93d1e56 766066 gdm3_3.4.1-7_i386.deb
Files: 
 7f4fa864488ad79df9bc94768394bb93 2140 gnome optional gdm3_3.4.1-7.dsc
 7862aee20431ca4c153c7ed1cadf7fd9 126325 gnome optional gdm3_3.4.1-7.debian.tar.gz
 af979633e94a448b851ea95ab64a3a93 766066 gnome optional gdm3_3.4.1-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFlYdkACgkQhTV17EoIsv6kBACgwJOi3gEZQFnPUeAvQtj/BYVN
XHYAn0SRCTUU6YkAl982n12x+qelJQW+
=KCCU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 May 2013 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:58:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.